'IDE-Voreinstellungen:
'Option Explicit On
'Option Strict On

'"My Project"-Einstellungen:
'Imports Microsoft.VisualBasic.ControlChars
'Imports System.Windows.Forms


Imports System.Xml
Imports System.Xml.Linq
Imports System.IO

Public Class frmStatusLogger

    Private _Status As StatusLogger

    Public Sub New()
        InitializeComponent()
        _Status = New StatusLogger(Me.StatusDropRoot, 15)
    End Sub

    Private Sub Button_Click(ByVal sender As Object, ByVal e As EventArgs) Handles _
            Menu1ToolStripMenuItem.Click, Menu2ToolStripMenuItem.Click, _
            Menu3ToolStripMenuItem.Click, Button1.Click, Button2.Click, Button3.Click, Label1.Click
        Select Case True
            Case sender Is Menu3ToolStripMenuItem, sender Is Menu2ToolStripMenuItem, _
                    sender Is Menu1ToolStripMenuItem
                _Status.Log("""", DirectCast(sender, ToolStripItem).Text, """ clicked")

            Case sender Is Button3, sender Is Button1
                _Status.Log("""", DirectCast(sender, Control).Text, """ clicked!")

            Case sender Is Button2
                _Status.Log("""", DirectCast(sender, Control).Text, """ clicked")
                ' (fictitious data-processing)
                Dim Xel = XElement.Load(New StringReader(My.Resources.TestXml))
                For Each Child In Xel.Elements
                    If Boolean.Parse(Child.@IsValid) Then
                        'do something useful
                    Else
                        _Status.Log("invalid line: ", Child.ToString)
                    End If
                Next
                Me.Label1.Text = Xel.ToString

            Case sender Is Label1
                Me.Label1.Text = "oh, forgotten!"
                _Status.Log("Label1 clicked")

        End Select
    End Sub
End Class
